# Define the kmod package name here.
%define kmod_name igb

# If kversion isn't defined on the rpmbuild line, define it here.
%{!?kversion: %define kversion 2.6.32-279.el6.%{_target_cpu}}

Name:    %{kmod_name}-kmod
Version: 5.1.2
Release: 1%{?dist}
Group:   System Environment/Kernel
License: GPLv2
Summary: %{kmod_name} kernel module(s)
URL:     http://www.intel.com/

BuildRequires: redhat-rpm-config
ExclusiveArch: i686 x86_64

# Sources.
Source0:  %{kmod_name}-%{version}.tar.gz
Source5:  GPL-v2.0.txt
Source10: kmodtool-%{kmod_name}-el6.sh

# Magic hidden here.
%{expand:%(sh %{SOURCE10} rpmtemplate %{kmod_name} %{kversion} "")}

# Disable the building of the debug package(s).
%define debug_package %{nil}

%description
This package provides the %{kmod_name} kernel modules for Intel® 82575/6 & 82580 Gigabit NICs.
It is built to depend upon the specific ABI provided by a range of releases
of the same variant of the Linux kernel and not on any one specific build.

%prep
%setup -q -n %{kmod_name}-%{version}
%{__gzip} %{kmod_name}.7
echo "override %{kmod_name} * weak-updates/%{kmod_name}" > kmod-%{kmod_name}.conf

%build
pushd src >/dev/null
%{__make} KSRC=%{_usrsrc}/kernels/%{kversion}
popd >/dev/null

%install
%{__install} -d %{buildroot}/lib/modules/%{kversion}/extra/%{kmod_name}/
%{__install} src/%{kmod_name}.ko %{buildroot}/lib/modules/%{kversion}/extra/%{kmod_name}/
%{__install} -d %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} kmod-%{kmod_name}.conf %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} -d %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} %{SOURCE5} %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} pci.updates %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} README %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} -d %{buildroot}%{_mandir}/man7/
%{__install} %{kmod_name}.7.gz %{buildroot}%{_mandir}/man7/
# Set the module(s) to be executable, so that they will be stripped when packaged.
find %{buildroot} -type f -name \*.ko -exec %{__chmod} u+x \{\} \;
# Remove the unrequired files.
%{__rm} -f %{buildroot}/lib/modules/%{kversion}/modules.*

%clean
%{__rm} -rf %{buildroot}

%changelog
* Sat Mar 01 2014 Alan Bartlett <ajb@elrepo.org> - 5.1.2-1
- Updated to version 5.1.2

* Wed Oct 09 2013 Alan Bartlett <ajb@elrepo.org> - 5.0.6-1
- Updated to version 5.0.6

* Sat Sep 07 2013 Alan Bartlett <ajb@elrepo.org> - 5.0.5-1
- Updated to version 5.0.5

* Mon Jul 01 2013 Alan Bartlett <ajb@elrepo.org> - 4.3.0-1
- Updated to version 4.3.0

* Mon Jun 10 2013 Alan Bartlett <ajb@elrepo.org> - 4.2.16-2
- Rebuilt against kernel-1.6.32-279.el6 [http://elrepo.org/bugs/view.php?id=387]

* Thu Jun 06 2013 Alan Bartlett <ajb@elrepo.org> - 4.2.16-1
- Updated to version 4.2.16

* Wed Feb 06 2013 Alan Bartlett <ajb@elrepo.org> - 4.1.2-1
- Updated to version 4.1.2

* Sat Oct 20 2012 Alan Bartlett <ajb@elrepo.org> - 4.0.17-1
- Updated to version 4.0.17

* Mon Sep 17 2012 Alan Bartlett <ajb@elrepo.org> - 3.4.8-1
- Updated to version 3.4.8

* Fri Apr 27 2012 Alan Bartlett <ajb@elrepo.org> - 3.4.7-1
- Updated to version 3.4.7

* Fri Dec 30 2011 Alan Bartlett <ajb@elrepo.org> - 3.3.6-1
- Updated to version 3.3.6

* Tue Nov 29 2011 Alan Bartlett <ajb@elrepo.org> - 3.2.10-1
- Updated to version 3.2.10

* Thu Oct 06 2011 Alan Bartlett <ajb@elrepo.org> - 3.2.9-1
- Updated to version 3.2.9

* Tue Jul 19 2011 Alan Bartlett <ajb@elrepo.org> - 3.1.16-1
- Updated to version 3.1.16

* Sat May 21 2011 Alan Bartlett <ajb@elrepo.org> - 3.0.22-1
- Updated to version 3.0.22

* Sat May 14 2011 Alan Bartlett <ajb@elrepo.org> - 3.0.19-1
- Updated to version 3.0.19

* Sun Mar 20 2011 Alan Bartlett <ajb@elrepo.org> - 2.4.13-1
- Updated to version 2.4.13

* Mon Jan 03 2011 Alan Bartlett <ajb@elrepo.org> - 2.4.12-1
- Updated to version 2.4.12

* Sun Nov 28 2010 Alan Bartlett <ajb@elrepo.org> - 2.4.8-1
- Initial el6 build of the kmod package.
